---
title: "Lock: acquire"
tags:
- action
- eca_base
- eca action 1.1.0
---
# Lock: acquire

Available since: 1.1.0

Acquires a lock.

{!include/plugins/eca_base/action/eca_lock_acquire.md!}

## Fields

`Lock name`

:   The name identifies a lock, that may be shared by multiple processes. The lock will be automatically released when this ECA process is finished.<br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_lock_acquire/lock_name.md!}

`Lock timeout in seconds`

:   This timeout is used as a maximum time threshold. When exceeded, the lock is automatically released for other processed again.

    {!include/plugins/eca_base/action/eca_lock_acquire/lock_timeout.md!}

`Wait for lock until timeout exceeded`

:   When checked, this action automatically retries acquiring the lock, until the specified timeout above exceeded.

    {!include/plugins/eca_base/action/eca_lock_acquire/lock_wait.md!}

`Name of token`

:   Optionally define a token name to store the result of lock acquisition. The result value is <strong>1</strong> when acquisition was successful, and is set to <strong>0</strong> when it was not successful. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_lock_acquire/token_name.md!}
