---
title: "Cache ECA: invalidate"
tags:
- action
- eca_cache
- eca action 2.0.0
---
# Cache ECA: invalidate

Available since: 2.0.0

Invalidates a part or the whole ECA cache.

{!include/plugins/eca_cache/action/eca_cache_invalidate.md!}

## Fields

`Cache tags`

:   Optionally define cache tags for fine-granular cache invalidation. Separate multiple tags with commas. More information about cache tags can be found in the <a href="https://www.drupal.org/docs/drupal-apis/cache-api/cache-tags" target="_blank" rel="nofollow noreferrer">documentation</a>. When empty, then the whole cache is being invalidated.

    {!include/plugins/eca_cache/action/eca_cache_invalidate/tags.md!}

`Cache backend`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_cache_invalidate_backend</em>

    {!include/plugins/eca_cache/action/eca_cache_invalidate/backend.md!}

`Cache key`

:   The cache key is a unique machine name and identifies the cache item.<br/>This field supports tokens.

    {!include/plugins/eca_cache/action/eca_cache_invalidate/key.md!}
