---
title: "Form field: set options"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form field: set options

Available since: 1.0.0

Defines available options on an existing multi-value selection, radio or checkbox field.

{!include/plugins/eca_form/action/eca_form_field_set_options.md!}

## Fields

`Options`

:   Can be a comma-separated sequence of key-value pairs (e.g. <em>k1:v1,k2:v2</em> or a token that holds a list of key-value pairs. Alternatively use YAML syntax to define one key-value pair per line. Example: <em>key1: "value1"</em>. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_form/action/eca_form_field_set_options/options.md!}

`Interpret above value as YAML format`

:   When using YAML format to define the options above, this option needs to be enabled.

    {!include/plugins/eca_form/action/eca_form_field_set_options/use_yaml.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_set_options/field_name.md!}
