---
title: "Form: compare triggered submission"
tags:
- condition
- eca_form
- eca condition 1.0.0
---
# Form: compare triggered submission

Available since: 1.0.0

Evaluates against the trigger name of the submission.

{!include/plugins/eca_form/condition/eca_form_triggered.md!}

## Fields

`Trigger name`

:   The trigger name is the machine name of the form submit element. Example: <em>submit</em>. A custom trigger name can be defined for example with the action <em>"Form: add submit button"</em>.

    {!include/plugins/eca_form/condition/eca_form_triggered/trigger_name.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_triggered_operator</em>

    {!include/plugins/eca_form/condition/eca_form_triggered/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_triggered_type</em>

    {!include/plugins/eca_form/condition/eca_form_triggered/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_form/condition/eca_form_triggered/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_form/condition/eca_form_triggered/negate.md!}
