---
title: "Build inline entity form"
tags:
- event
- eca_form
- eca event 1.0.0
---
# Build inline entity form

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[form]` | The current form.<br /> Alias: `current_form` |
    | `[form:id]` | The form ID. |
    | `[form:base_id]` | The form base ID. |
    | `[form:operation]` | The form operation. |
    | `[form:mode]` | The form mode. |
    | `[form:triggered]` | The form field name that triggered the form event. |
    | `[form:values]` |  |
    | `[form:values:FIELD_NAME]` | The field value for each of the named fields. |
    | `[form:num_errors]` | The number of form errors. |
    | `[entity]` | The form entity. |
    | `[ENTITY_TYPE]` | The form entity with the token name being the ID of the entity type. |
    | `[parent]` | The parent entity, if one exists. |
    | `[event]` | The event. |
    | `[event:delta]` | The delta of the entity reference in the parent field. |
    | `[event:entity]` | The form entity. |
    | `[event:entity_bundle]` | The bundle of the form entity. |
    | `[event:entity_id]` | The form entity ID, only available if the entity is not new. |
    | `[event:entity_type]` | The form entity type. |
    | `[event:field_name]` | The name of the field. |
    | `[event:parent]` | The parent entity, if one exists. |
    | `[event:parent_bundle]` | The bundle of the parent entity, if one exists. |
    | `[event:parent_id]` | The ID of the parent entity, if one exists and it is not new. |
    | `[event:parent_type]` | The type of the parent entity, if one exists |
    | `[event:widget]` | The form widget ID. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_form/event/form_ief_build.md!}

## Fields

`Parent: Restrict by form ID`

:   The form ID can be mostly found in the HTML &lt;form&gt; element as "id" attribute.

    {!include/plugins/eca_form/event/form_ief_build/form_id.md!}

`Restrict by entity type ID`

:   Example: <em>media, paragraph, storage</em>

    {!include/plugins/eca_form/event/form_ief_build/entity_type_id.md!}

`Restrict by entity bundle`

:   

    {!include/plugins/eca_form/event/form_ief_build/bundle.md!}

`Parent: Restrict by operation`

:   Example: <em>default, save, delete</em>

    {!include/plugins/eca_form/event/form_ief_build/operation.md!}

`Parent: Restrict by entity type ID`

:   Example: <em>node, taxonomy_term, user</em>

    {!include/plugins/eca_form/event/form_ief_build/parent_type_id.md!}

`Parent: Restrict by entity bundle`

:   Example: <em>article, tags</em>

    {!include/plugins/eca_form/event/form_ief_build/parent_bundle.md!}

`Parent: Restrict by field name`

:   Example: <em>field_paragraphs</em>

    {!include/plugins/eca_form/event/form_ief_build/field_name.md!}
