---
title: "Render: dropbutton"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: dropbutton

Available since: 1.1.0

Build a HTML dropbutton element.

{!include/plugins/eca_render/action/eca_render_dropbutton.md!}

## Fields

`Dropbutton type`

:   A string defining a type of dropbutton variant for styling proposes. Renders as class "dropbutton--[type]".

    {!include/plugins/eca_render/action/eca_render_dropbutton/dropbutton_type.md!}

`Links`

:   This field optionally supports YAML if selected below.<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_dropbutton/links.md!}

`Interpret above specified links as YAML format`

:   Links can be specified as a list with YAML syntax. Example:<em><br/>-<br/>&nbsp;&nbsp;title: Edit<br/>&nbsp;&nbsp;url: "/node/[node:nid]/edit/"<br/>-<br>&nbsp;&nbsp;title: Delete<br/>&nbsp;&nbsp;url: "/node/[node:nid]/delete"</em><br/><br/>When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_render/action/eca_render_dropbutton/use_yaml.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_dropbutton/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_dropbutton/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_dropbutton/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_dropbutton_mode</em>

    {!include/plugins/eca_render/action/eca_render_dropbutton/mode.md!}
