---
title: "ECA contextual links"
tags:
- event
- eca_render
- eca event 1.1.0
---
# ECA contextual links

Available since: 1.1.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[ROUTE_ENTITY]` | The entity from the route referenced by the token name as route parameter name. |
    | `[event]` | The event. |
    | `[event:group]` | The context group name. |
    | `[event:route_parameters]` | The route parameters. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_render/event/eca_render_contextual_links.md!}

## Fields

`Restrict by link group`

:   Example: <em>menu</em>

    {!include/plugins/eca_render/event/eca_render_contextual_links/group.md!}

`Restrict by entity type ID`

:   Example: <em>node, taxonomy_term, user</em>

    {!include/plugins/eca_render/event/eca_render_contextual_links/entity_type_id.md!}

`Restrict by entity bundle`

:   Example: <em>article, tags</em>

    {!include/plugins/eca_render/event/eca_render_contextual_links/bundle.md!}
